Runaxisfunctionaltests Task Ant task for starting / stopping servers and running junit in the middle. |

Description

> Ant task for starting / stopping servers and running junit in the middle. Based on the Cactus org.apache.commons.cactus.ant package, heavily munged and cruftily dumped into one file.

> For Axis development; there is no support or stability associated with this task

Parameters

> Attribute | Description | Type | Requirement
> httpservertarget | Sets the target to call to start server 2. | String | Optional
> httpstoptarget | Sets the stop target. This is the target which does a HTTP admin shutdown on the simple server. | String
> tcpservertarget | Sets the target to call to start server 1. | String
> testtarget | Sets the target to call to run the tests. | String
> url | Sets the target URL (just http://host:port) | String

Parameters as nested elements

Copyright © 2000-2003, Apache Software Foundation